Digital DX System Requirements

Digital DX System Requirements

Browser requirements for visitors on web

  • Google Chrome recommended (Last 20 versions)
  • Mozilla Firefox on Windows (Last 10 versions)
  • Microsoft Edge
  • Safari on macOS (Last two versions)

Browser requirements for visitors on mobile

  • Chrome recommended on Android
  • Safari recommended on iOS

System requirements for the Desktop Client

To download the latest version of the Desktop Client, go to https://www.bold360.com/download.

  • Windows 7, 8, 8.1, 10 (recommended: Windows 8 and newer)
  • Memory: 2GB or more (recommended: 4GB)
  • CPU: 1.7 GHz dual core or better (recommended: i3 core equivalent or above)
  • When using the Digital DX Desktop Client version earlier than 15.2.6, the minimum supported version of .NET Framework is v4.6. In this case, you must use the SSO sign-in method to access the Desktop Client. See How to sign in to the Desktop Client?.
  • When using the Digital DX Desktop Client version 15.2.6 or later, the minimum supported version of .NET Framework is v3.5.1
Note: Mac and Linux are not supported.

Browser requirements for the Web Client

You can log in to the Web Client at web.boldchat.com.

  • Google Chrome recommended (Last 20 versions)
  • Mozilla Firefox on Windows (Last 10 versions)
  • Microsoft Edge
  • Microsoft Internet Explorer 10 and newer
  • Safari on macOS (Last two versions)

Browser requirements for the Agent Workspace

You can log in to the Agent Workspace at agent.bold360.com.

  • Google Chrome recommended (Last 20 versions)
  • Mozilla Firefox on Windows (Last 10 versions)
  • Microsoft Edge
  • Safari on macOS (Last two versions)

Microsoft Internet Explorer 10 and above are available to use but are not recommended browsers as they are not being updated to maintain modern security and web standards.

Browser requirements for Reports and Dashboard

You can log in to Reports at report.boldchat.com and to Dashboard at dashboard.boldchat.com.

  • Google Chrome recommended (Last 20 versions)
  • Mozilla Firefox on Windows (Last 10 versions)
  • Microsoft Edge
  • Microsoft Internet Explorer 10 and newer
  • Safari on macOS (Last two versions)
  • Chrome recommended on Android (Dashboard only)
  • Safari recommended on iOS (Dashboard only)

TLS encryption support

Depending on which .NET Framework you installed on a computer, the Digital DX Desktop Client supports TLS version 1.2:

  • Digital DX Desktop Client version 15.2.6 or later - .NET framework 3.5.1 or later required
  • Earlier Digital DX Desktop Client versions - .NET framework 4.6 or later required

You can enable TLS 1.2 in the Windows Registry.

Bandwidth requirements

Running the Digital DX Desktop Client does not have any special bandwidth requirements. For video chat requirements, see How to enable video chat.